| LibDriver LLCC68 1.0.0 LLCC68 full function driver

Macros | Functions
llcc68 example driver function
llcc68 driver function

llcc68 example driver modules More...

## Macros
#define | LLCC68_LORA_DEFAULT_STOP_TIMER_ON_PREAMBLE LLCC68_BOOL_FALSE
| llcc68 lora example default definition More...
#define | LLCC68_LORA_DEFAULT_REGULATOR_MODE LLCC68_REGULATOR_MODE_DC_DC_LDO
#define | LLCC68_LORA_DEFAULT_PA_CONFIG_DUTY_CYCLE 0x02
#define | LLCC68_LORA_DEFAULT_PA_CONFIG_HP_MAX 0x03
#define | LLCC68_LORA_DEFAULT_TX_DBM 17
#define | LLCC68_LORA_DEFAULT_RAMP_TIME LLCC68_RAMP_TIME_10US
#define | LLCC68_LORA_DEFAULT_SF LLCC68_LORA_SF_9
#define | LLCC68_LORA_DEFAULT_BANDWIDTH LLCC68_LORA_BANDWIDTH_125_KHZ
#define | LLCC68_LORA_DEFAULT_CR LLCC68_LORA_CR_4_5
#define | LLCC68_LORA_DEFAULT_LOW_DATA_RATE_OPTIMIZE LLCC68_BOOL_FALSE
#define | LLCC68_LORA_DEFAULT_RF_FREQUENCY 480000000U
#define | LLCC68_LORA_DEFAULT_SYMB_NUM_TIMEOUT 0
#define | LLCC68_LORA_DEFAULT_SYNC_WORD 0x3444U
#define | LLCC68_LORA_DEFAULT_RX_GAIN 0x94
#define | LLCC68_LORA_DEFAULT_OCP 0x38
#define | LLCC68_LORA_DEFAULT_PREAMBLE_LENGTH 12
#define | LLCC68_LORA_DEFAULT_HEADER LLCC68_LORA_HEADER_EXPLICIT
#define | LLCC68_LORA_DEFAULT_BUFFER_SIZE 255
#define | LLCC68_LORA_DEFAULT_CRC_TYPE LLCC68_LORA_CRC_TYPE_ON
#define | LLCC68_LORA_DEFAULT_INVERT_IQ LLCC68_BOOL_FALSE
#define | LLCC68_LORA_DEFAULT_CAD_SYMBOL_NUM LLCC68_LORA_CAD_SYMBOL_NUM_2
#define | LLCC68_LORA_DEFAULT_CAD_DET_PEAK 24
#define | LLCC68_LORA_DEFAULT_CAD_DET_MIN 10
#define | LLCC68_LORA_DEFAULT_START_MODE LLCC68_START_MODE_WARM
#define | LLCC68_LORA_DEFAULT_RTC_WAKE_UP LLCC68_BOOL_TRUE

## Functions
uint8_t | llcc68_lora_irq_handler (void)
| llcc68 lora irq More...
uint8_t | llcc68_lora_init (void(*callback)(uint16_t type, uint8_t *buf, uint16_t len))
| lora example init More...
uint8_t | llcc68_lora_deinit (void)
| lora example deinit More...
uint8_t | llcc68_lora_set_continuous_receive_mode (void)
| lora example enter to the continuous receive mode More...
uint8_t | llcc68_lora_set_shot_receive_mode (double us)
| lora example enter to the shot receive mode More...
uint8_t | llcc68_lora_set_send_mode (void)
| lora example enter to the send mode More...
uint8_t | llcc68_lora_send (uint8_t *buf, uint16_t len)
| lora example send lora data More...
uint8_t | llcc68_lora_run_cad (llcc68_bool_t *enable)
| lora example run the cad More...
uint8_t | llcc68_lora_get_status (float *rssi, float *snr)
| lora example get the status More...
uint8_t | llcc68_lora_check_packet_error (llcc68_bool_t *enable)
| lora example check packet error More...
uint8_t | llcc68_lora_sleep (void)
| lora example enter to the sleep mode More...
uint8_t | llcc68_lora_wake_up (void)
| lora example wake up the chip More...

## Detailed Description

llcc68 example driver modules

## Macro Definition Documentation

## ◆ LLCC68_LORA_DEFAULT_BANDWIDTH

#define LLCC68_LORA_DEFAULT_BANDWIDTH LLCC68_LORA_BANDWIDTH_125_KHZ

125khz

Definition at line 63 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_BUFFER_SIZE

#define LLCC68_LORA_DEFAULT_BUFFER_SIZE 255

255

Definition at line 73 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_CAD_DET_MIN

#define LLCC68_LORA_DEFAULT_CAD_DET_MIN 10

10

Definition at line 78 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_CAD_DET_PEAK

#define LLCC68_LORA_DEFAULT_CAD_DET_PEAK 24

24

Definition at line 77 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_CAD_SYMBOL_NUM

#define LLCC68_LORA_DEFAULT_CAD_SYMBOL_NUM LLCC68_LORA_CAD_SYMBOL_NUM_2

2 symbol

Definition at line 76 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_CR

#define LLCC68_LORA_DEFAULT_CR LLCC68_LORA_CR_4_5

cr4/5

Definition at line 64 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_CRC_TYPE

#define LLCC68_LORA_DEFAULT_CRC_TYPE LLCC68_LORA_CRC_TYPE_ON

crc on

Definition at line 74 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_HEADER

#define LLCC68_LORA_DEFAULT_HEADER LLCC68_LORA_HEADER_EXPLICIT

explicit header

Definition at line 72 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_INVERT_IQ

#define LLCC68_LORA_DEFAULT_INVERT_IQ LLCC68_BOOL_FALSE

disable invert iq

Definition at line 75 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_LOW_DATA_RATE_OPTIMIZE

#define LLCC68_LORA_DEFAULT_LOW_DATA_RATE_OPTIMIZE LLCC68_BOOL_FALSE

disable low data rate optimize

Definition at line 65 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_OCP

#define LLCC68_LORA_DEFAULT_OCP 0x38

140 mA

Definition at line 70 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_PA_CONFIG_DUTY_CYCLE

#define LLCC68_LORA_DEFAULT_PA_CONFIG_DUTY_CYCLE 0x02

set +17dBm power

Definition at line 58 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_PA_CONFIG_HP_MAX

#define LLCC68_LORA_DEFAULT_PA_CONFIG_HP_MAX 0x03

set +17dBm power

Definition at line 59 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_PREAMBLE_LENGTH

#define LLCC68_LORA_DEFAULT_PREAMBLE_LENGTH 12

12

Definition at line 71 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_RAMP_TIME

#define LLCC68_LORA_DEFAULT_RAMP_TIME LLCC68_RAMP_TIME_10US

set ramp time 10 us

Definition at line 61 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_REGULATOR_MODE

#define LLCC68_LORA_DEFAULT_REGULATOR_MODE LLCC68_REGULATOR_MODE_DC_DC_LDO

only ldo

Definition at line 57 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_RF_FREQUENCY

#define LLCC68_LORA_DEFAULT_RF_FREQUENCY 480000000U

480000000Hz

Definition at line 66 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_RTC_WAKE_UP

#define LLCC68_LORA_DEFAULT_RTC_WAKE_UP LLCC68_BOOL_TRUE

enable rtc wake up

Definition at line 80 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_RX_GAIN

#define LLCC68_LORA_DEFAULT_RX_GAIN 0x94

common rx gain

Definition at line 69 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_SF

#define LLCC68_LORA_DEFAULT_SF LLCC68_LORA_SF_9

sf9

Definition at line 62 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_START_MODE

#define LLCC68_LORA_DEFAULT_START_MODE LLCC68_START_MODE_WARM

warm mode

Definition at line 79 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_STOP_TIMER_ON_PREAMBLE

#define LLCC68_LORA_DEFAULT_STOP_TIMER_ON_PREAMBLE LLCC68_BOOL_FALSE

llcc68 lora example default definition

disable stop timer on preamble

Definition at line 56 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_SYMB_NUM_TIMEOUT

#define LLCC68_LORA_DEFAULT_SYMB_NUM_TIMEOUT 0

0

Definition at line 67 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_SYNC_WORD

#define LLCC68_LORA_DEFAULT_SYNC_WORD 0x3444U

public network

Definition at line 68 of file driver_llcc68_lora.h.

## ◆ LLCC68_LORA_DEFAULT_TX_DBM

#define LLCC68_LORA_DEFAULT_TX_DBM 17

+17dBm

Definition at line 60 of file driver_llcc68_lora.h.

## Function Documentation

## ◆ llcc68_lora_check_packet_error()

uint8_t llcc68_lora_check_packet_error | ( | llcc68_bool_t * | enable | ) |

lora example check packet error

Parameters

  [out] | *enable | pointer to a bool value buffer

Returns
  status code
  - 0 success
  - 1 check packet error failed

Note
  none

Definition at line 625 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_deinit()

uint8_t llcc68_lora_deinit | ( | void |  | ) |

lora example deinit

Returns
  status code
  - 0 success
  - 1 deinit failed

Note
  none

Definition at line 342 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_get_status()

uint8_t llcc68_lora_get_status | ( | float * | rssi,
|  | float * | snr
| ) |  |

lora example get the status

Parameters

  [out] | *rssi | pointer to a rssi buffer
  [out] | *snr | pointer to a snr buffer

Returns
  status code
  - 0 success
  - 1 get status failed

Note
  none

Definition at line 600 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_init()

uint8_t llcc68_lora_init | ( | void(*)(uint16_t type, uint8_t *buf, uint16_t len) | callback | ) |

lora example init

Parameters

  [in] | *callback | pointer to a callback address

Returns
  status code
  - 0 success
  - 1 init failed

Note
  none

Definition at line 68 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_irq_handler()

uint8_t llcc68_lora_irq_handler | ( | void |  | ) |

llcc68 lora irq

Returns
  status code
  - 0 success
  - 1 run failed

Note
  none

Definition at line 48 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_run_cad()

uint8_t llcc68_lora_run_cad | ( | llcc68_bool_t * | enable | ) |

lora example run the cad

Parameters

  [out] | *enable | pointer to a enable buffer

Returns
  status code
  - 0 success
  - 1 run failed

Note
  none

Definition at line 572 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_send()

uint8_t llcc68_lora_send | ( | uint8_t * | buf,
|  | uint16_t | len
| ) |  |

lora example send lora data

Parameters

  [in] | *buf | pointer to a data buffer
  [in] | len | data length

Returns
  status code
  - 0 success
  - 1 send failed

Note
  none

Definition at line 550 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_set_continuous_receive_mode()

uint8_t llcc68_lora_set_continuous_receive_mode | ( | void |  | ) |

lora example enter to the continuous receive mode

Returns
  status code
  - 0 success
  - 1 enter failed

Note
  none

Definition at line 401 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_set_send_mode()

uint8_t llcc68_lora_set_send_mode | ( | void |  | ) |

lora example enter to the send mode

Returns
  status code
  - 0 success
  - 1 enter failed

Note
  none

Definition at line 522 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_set_shot_receive_mode()

uint8_t llcc68_lora_set_shot_receive_mode | ( | double | us | ) |

lora example enter to the shot receive mode

Parameters

  [in] | us | time in us

Returns
  status code
  - 0 success
  - 1 enter failed

Note
  none

Definition at line 462 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_sleep()

uint8_t llcc68_lora_sleep | ( | void |  | ) |

lora example enter to the sleep mode

Returns
  status code
  - 0 success
  - 1 sleep failed

Note
  none

Definition at line 361 of file driver_llcc68_lora.c.

## ◆ llcc68_lora_wake_up()

uint8_t llcc68_lora_wake_up | ( | void |  | ) |

lora example wake up the chip

Returns
  status code
  - 0 success
  - 1 wake up failed

Note
  none

Definition at line 380 of file driver_llcc68_lora.c.